package com.lukouguoji.aerologic.page.flight.query.list

import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.lukouguoji.aerologic.R
import com.lukouguoji.aerologic.databinding.ActivityFlightQueryListBinding
import com.lukouguoji.module_base.base.BaseBindingActivity
import com.lukouguoji.module_base.ktx.addOnItemClickListener
import com.lukouguoji.module_base.ktx.getLifecycleOwner

@Deprecated("使用 module_hangban 中的 HbQueryListActivity 替代")
class FlightQueryListActivity :
    BaseBindingActivity<ActivityFlightQueryListBinding, FlightQueryListViewModel>() {
    override fun layoutId() = R.layout.activity_flight_query_list

    override fun viewModelClass() = FlightQueryListViewModel::class.java

    override fun initOnCreate(savedInstanceState: Bundle?) {
        setBackArrow("航班管理")

        binding.viewModel = viewModel
        viewModel.pageModel
            .bindSmartRefreshLayout(binding.srl, binding.rv, viewModel, getLifecycleOwner())

        binding.rv.addOnItemClickListener(viewModel)

        viewModel.refresh()
    }

    companion object {
        @JvmStatic
        fun start(context: Context) {
            val starter = Intent(context, FlightQueryListActivity::class.java)
            context.startActivity(starter)
        }
    }

}